"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6a790>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6a820>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6a8b0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6a940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6a9d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6aa60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6aaf0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6ab80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6ac10>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6aca0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6ad30>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6adc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6ae50>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6aee0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffade6af70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffade700d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70160>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffade701f0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70280>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70310>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffade703a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70430>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffade704c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade705e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70550>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70670>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70700>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70790>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70820>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffade708b0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70940>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffade709d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70a60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70af0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70b80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70c10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70ca0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70d30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70dc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70e50>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70ee0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffade70f70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73040>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffade730d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73160>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffade731f0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73280>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73310>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffade733a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73430>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffade734c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73550>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffade735e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73670>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73790>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73820>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade738b0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade739d0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73a60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73af0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73b80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73c10>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73dc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73ca0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73e50>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffade73f70>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78040>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffade780d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade781f0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78280>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78310>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffade783a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffade784c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78430>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78550>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffade785e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78670>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78790>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffade78820>)]
name: str = 'fr_HOCCN'
